<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_67) on Wed Sep 10 14:57:28 CEST 2014 -->
<title>AbstractWrappedByteChannel</title>
<meta name="date" content="2014-09-10">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="AbstractWrappedByteChannel";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AbstractWrappedByteChannel.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../org/java_websocket/SocketChannelIOHelper.html" title="class in org.java_websocket"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?org/java_websocket/AbstractWrappedByteChannel.html" target="_top">Frames</a></li>
<li><a href="AbstractWrappedByteChannel.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.java_websocket</div>
<h2 title="Class AbstractWrappedByteChannel" class="title">Class AbstractWrappedByteChannel</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>org.java_websocket.AbstractWrappedByteChannel</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Closeable, java.lang.AutoCloseable, java.nio.channels.ByteChannel, java.nio.channels.Channel, java.nio.channels.ReadableByteChannel, java.nio.channels.WritableByteChannel, <a href="../../org/java_websocket/WrappedByteChannel.html" title="interface in org.java_websocket">WrappedByteChannel</a></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../org/java_websocket/client/AbstractClientProxyChannel.html" title="class in org.java_websocket.client">AbstractClientProxyChannel</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">AbstractWrappedByteChannel</span>
extends java.lang.Object
implements <a href="../../org/java_websocket/WrappedByteChannel.html" title="interface in org.java_websocket">WrappedByteChannel</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.nio.channels.ByteChannel</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/AbstractWrappedByteChannel.html#channel">channel</a></strong></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../org/java_websocket/AbstractWrappedByteChannel.html#AbstractWrappedByteChannel(java.nio.channels.ByteChannel)">AbstractWrappedByteChannel</a></strong>(java.nio.channels.ByteChannel&nbsp;towrap)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><strong><a href="../../org/java_websocket/AbstractWrappedByteChannel.html#AbstractWrappedByteChannel(org.java_websocket.WrappedByteChannel)">AbstractWrappedByteChannel</a></strong>(<a href="../../org/java_websocket/WrappedByteChannel.html" title="interface in org.java_websocket">WrappedByteChannel</a>&nbsp;towrap)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/AbstractWrappedByteChannel.html#close()">close</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/AbstractWrappedByteChannel.html#isBlocking()">isBlocking</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/AbstractWrappedByteChannel.html#isNeedRead()">isNeedRead</a></strong>()</code>
<div class="block">returns whether readMore should be called to fetch data which has been decoded but not yet been returned.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/AbstractWrappedByteChannel.html#isNeedWrite()">isNeedWrite</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/AbstractWrappedByteChannel.html#isOpen()">isOpen</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/AbstractWrappedByteChannel.html#read(java.nio.ByteBuffer)">read</a></strong>(java.nio.ByteBuffer&nbsp;dst)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/AbstractWrappedByteChannel.html#readMore(java.nio.ByteBuffer)">readMore</a></strong>(java.nio.ByteBuffer&nbsp;dst)</code>
<div class="block">This function does not read data from the underlying channel at all.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/AbstractWrappedByteChannel.html#write(java.nio.ByteBuffer)">write</a></strong>(java.nio.ByteBuffer&nbsp;src)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/AbstractWrappedByteChannel.html#writeMore()">writeMore</a></strong>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="channel">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>channel</h4>
<pre>private final&nbsp;java.nio.channels.ByteChannel channel</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AbstractWrappedByteChannel(java.nio.channels.ByteChannel)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>AbstractWrappedByteChannel</h4>
<pre>public&nbsp;AbstractWrappedByteChannel(java.nio.channels.ByteChannel&nbsp;towrap)</pre>
</li>
</ul>
<a name="AbstractWrappedByteChannel(org.java_websocket.WrappedByteChannel)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AbstractWrappedByteChannel</h4>
<pre>public&nbsp;AbstractWrappedByteChannel(<a href="../../org/java_websocket/WrappedByteChannel.html" title="interface in org.java_websocket">WrappedByteChannel</a>&nbsp;towrap)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="read(java.nio.ByteBuffer)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>read</h4>
<pre>public&nbsp;int&nbsp;read(java.nio.ByteBuffer&nbsp;dst)
         throws java.io.IOException</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>read</code>&nbsp;in interface&nbsp;<code>java.nio.channels.ReadableByteChannel</code></dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
<a name="isOpen()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isOpen</h4>
<pre>public&nbsp;boolean&nbsp;isOpen()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>isOpen</code>&nbsp;in interface&nbsp;<code>java.nio.channels.Channel</code></dd>
</dl>
</li>
</ul>
<a name="close()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>close</h4>
<pre>public&nbsp;void&nbsp;close()
           throws java.io.IOException</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>close</code>&nbsp;in interface&nbsp;<code>java.io.Closeable</code></dd>
<dt><strong>Specified by:</strong></dt>
<dd><code>close</code>&nbsp;in interface&nbsp;<code>java.lang.AutoCloseable</code></dd>
<dt><strong>Specified by:</strong></dt>
<dd><code>close</code>&nbsp;in interface&nbsp;<code>java.nio.channels.Channel</code></dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
<a name="write(java.nio.ByteBuffer)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>write</h4>
<pre>public&nbsp;int&nbsp;write(java.nio.ByteBuffer&nbsp;src)
          throws java.io.IOException</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>write</code>&nbsp;in interface&nbsp;<code>java.nio.channels.WritableByteChannel</code></dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
<a name="isNeedWrite()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isNeedWrite</h4>
<pre>public&nbsp;boolean&nbsp;isNeedWrite()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../org/java_websocket/WrappedByteChannel.html#isNeedWrite()">isNeedWrite</a></code>&nbsp;in interface&nbsp;<code><a href="../../org/java_websocket/WrappedByteChannel.html" title="interface in org.java_websocket">WrappedByteChannel</a></code></dd>
</dl>
</li>
</ul>
<a name="writeMore()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>writeMore</h4>
<pre>public&nbsp;void&nbsp;writeMore()
               throws java.io.IOException</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../org/java_websocket/WrappedByteChannel.html#writeMore()">writeMore</a></code>&nbsp;in interface&nbsp;<code><a href="../../org/java_websocket/WrappedByteChannel.html" title="interface in org.java_websocket">WrappedByteChannel</a></code></dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
<a name="isNeedRead()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isNeedRead</h4>
<pre>public&nbsp;boolean&nbsp;isNeedRead()</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../org/java_websocket/WrappedByteChannel.html#isNeedRead()">WrappedByteChannel</a></code></strong></div>
<div class="block">returns whether readMore should be called to fetch data which has been decoded but not yet been returned.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../org/java_websocket/WrappedByteChannel.html#isNeedRead()">isNeedRead</a></code>&nbsp;in interface&nbsp;<code><a href="../../org/java_websocket/WrappedByteChannel.html" title="interface in org.java_websocket">WrappedByteChannel</a></code></dd>
<dt><span class="strong">See Also:</span></dt><dd><code>ReadableByteChannel.read(ByteBuffer)</code>, 
<a href="../../org/java_websocket/WrappedByteChannel.html#readMore(java.nio.ByteBuffer)"><code>WrappedByteChannel.readMore(ByteBuffer)</code></a></dd></dl>
</li>
</ul>
<a name="readMore(java.nio.ByteBuffer)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>readMore</h4>
<pre>public&nbsp;int&nbsp;readMore(java.nio.ByteBuffer&nbsp;dst)
             throws javax.net.ssl.SSLException</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../org/java_websocket/WrappedByteChannel.html#readMore(java.nio.ByteBuffer)">WrappedByteChannel</a></code></strong></div>
<div class="block">This function does not read data from the underlying channel at all. It is just a way to fetch data which has already be received or decoded but was but was not yet returned to the user.
 This could be the case when the decoded data did not fit into the buffer the user passed to <code>ReadableByteChannel.read(ByteBuffer)</code>.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../org/java_websocket/WrappedByteChannel.html#readMore(java.nio.ByteBuffer)">readMore</a></code>&nbsp;in interface&nbsp;<code><a href="../../org/java_websocket/WrappedByteChannel.html" title="interface in org.java_websocket">WrappedByteChannel</a></code></dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>javax.net.ssl.SSLException</code></dd></dl>
</li>
</ul>
<a name="isBlocking()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>isBlocking</h4>
<pre>public&nbsp;boolean&nbsp;isBlocking()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../org/java_websocket/WrappedByteChannel.html#isBlocking()">isBlocking</a></code>&nbsp;in interface&nbsp;<code><a href="../../org/java_websocket/WrappedByteChannel.html" title="interface in org.java_websocket">WrappedByteChannel</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AbstractWrappedByteChannel.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../org/java_websocket/SocketChannelIOHelper.html" title="class in org.java_websocket"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?org/java_websocket/AbstractWrappedByteChannel.html" target="_top">Frames</a></li>
<li><a href="AbstractWrappedByteChannel.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
